--- /dev/null
+#!/bin/bash
+
+# script is used for FNT division
+
+here=`dirname $0`
+cvc5=$here/cvc5
+bench="$1"
+
+file=${bench##*/}
+filename=${file%.*}
+
+echo "------- cvc5-fnt casc j11 : $bench..."
+
+# use: trywith [params..]
+# to attempt a run. If an SZS ontology result is printed, then
+# the run script terminates immediately. Otherwise, this
+# function returns normally.
+function trywith {
+ limit=$1; shift;
+ echo "--- Run $@ at $limit...";
+ (ulimit -S -t "$limit";$cvc5 --lang=tptp --no-type-checking --no-interactive --dump-models --produce-models --force-no-limit-cpu-while-dump "$@" $bench) 2>/dev/null |
+ (read w1 w2 w3 result w4 w5;
+ case "$result" in
+ Satisfiable) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ CounterSatisfiable) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+function finishwith {
+ echo "--- Run $@...";
+ $cvc5 --lang=tptp --no-type-checking --no-interactive --dump-models --produce-models --force-no-limit-cpu-while-dump "$@" $bench
+}
+
+# designed for 120 seconds
+trywith 30 --finite-model-find
+finishwith --finite-model-find --macros-quant --macros-quant-mode=all --sort-inference
+# echo "% SZS status" "GaveUp for $filename"
--- /dev/null
+#!/bin/bash
+
+# script is used for FOF division
+
+here=`dirname $0`
+cvc5=$here/cvc5
+bench="$1"
+
+file=${bench##*/}
+filename=${file%.*}
+
+echo "------- cvc5-fof casc j11 : $bench..."
+
+# use: trywith [params..]
+# to attempt a run. If an SZS ontology result is printed, then
+# the run script terminates immediately. Otherwise, this
+# function returns normally.
+function trywith {
+ limit=$1; shift;
+ echo "--- Run $@ at $limit...";
+ (ulimit -S -t "$limit";$cvc5 --lang=tptp --no-type-checking --no-interactive --dump-proofs --proof-format=tptp --force-no-limit-cpu-while-dump "$@" $bench) 2>/dev/null |
+ (read w1 w2 w3 result w4 w5;
+ case "$result" in
+ Unsatisfiable) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ Theorem) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+function finishwith {
+ echo "--- Run $@...";
+ $cvc5 --lang=tptp --no-type-checking --no-interactive --dump-proofs --proof-format=tptp --force-no-limit-cpu-while-dump "$@" $bench
+}
+
+# designed for 300 seconds
+trywith 10 --decision=internal --simplification=none --no-inst-no-entail --no-cbqi --full-saturate-quant
+trywith 5 --no-e-matching --full-saturate-quant
+trywith 5 --no-e-matching --enum-inst-sum --full-saturate-quant
+trywith 5 --finite-model-find --uf-ss=no-minimal
+trywith 5 --multi-trigger-when-single --full-saturate-quant
+trywith 5 --trigger-sel=max --full-saturate-quant
+trywith 5 --multi-trigger-when-single --multi-trigger-priority --full-saturate-quant
+trywith 5 --multi-trigger-cache --full-saturate-quant
+trywith 5 --prenex-quant=none --full-saturate-quant
+trywith 5 --enum-inst-interleave --decision=internal --full-saturate-quant
+trywith 5 --relevant-triggers --full-saturate-quant
+trywith 5 --finite-model-find --e-matching --sort-inference --uf-ss-fair
+trywith 10 --pre-skolem-quant=on --full-saturate-quant
+trywith 10 --cbqi-vo-exp --full-saturate-quant
+trywith 10 --no-cbqi --full-saturate-quant
+finishwith --macros-quant --macros-quant-mode=all --full-saturate-quant
+# echo "% SZS status" "GaveUp for $filename"
--- /dev/null
+#!/bin/bash
+
+# script is used for SLH division
+
+here=`dirname $0`
+cvc5=$here/cvc5
+bench="$1"
+
+file=${bench##*/}
+filename=${file%.*}
+
+echo "------- cvc5-slh casc j11 : $bench..."
+
+# use: trywith [params..]
+# to attempt a run. If an SZS ontology result is printed, then
+# the run script terminates immediately. Otherwise, this
+# function returns normally.
+function trywith {
+ limit=$1; shift;
+ echo "--- Run $@ at $limit...";
+ (ulimit -S -t "$limit";$cvc5 --lang=tptp --no-type-checking --no-interactive --dump-proofs --proof-format=tptp --force-no-limit-cpu-while-dump "$@" $bench) 2>/dev/null |
+ (read w1 w2 w3 result w4 w5;
+ case "$result" in
+ Unsatisfiable) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ Theorem) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+function finishwith {
+ echo "--- Run $@...";
+ $cvc5 --lang=tptp --no-type-checking --no-interactive --dump-proofs --proof-format=tptp --force-no-limit-cpu-while-dump "$@" $bench
+}
+
+# designed for 15 seconds
+trywith 5 --ho-elim --full-saturate-quant
+trywith 3 --ho-elim --no-e-matching --full-saturate-quant
+trywith 2 --no-ho-matching --full-saturate-quant --enum-inst-interleave --ho-elim-store-ax
+trywith 2 --no-ho-matching --full-saturate-quant --macros-quant-mode=all
+trywith 3 --ho-elim --finite-model-find --uf-ss=no-minimal
+finishwith --full-saturate-quant
+# echo "% SZS status" "GaveUp for $filename"
--- /dev/null
+#!/bin/bash
+
+# script is used for TFA division
+
+here=`dirname $0`
+cvc5=$here/cvc5
+bench="$1"
+
+file=${bench##*/}
+filename=${file%.*}
+
+echo "------- cvc5-tfa casc j11 : $bench..."
+
+# use: trywith [params..]
+# to attempt a run. If an SZS ontology result is printed, then
+# the run script terminates immediately. Otherwise, this
+# function returns normally.
+function trywith {
+ limit=$1; shift;
+ echo "--- Run $@ at $limit...";
+ (ulimit -S -t "$limit";$cvc5 --lang=tptp --no-type-checking --no-interactive --force-logic="UFNIRA" --dump-proofs --proof-format=tptp --force-no-limit-cpu-while-dump "$@" $bench) 2>/dev/null |
+ (read w1 w2 w3 result w4 w5;
+ case "$result" in
+ Unsatisfiable) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ Theorem) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+function finishwith {
+ echo "--- Run $@...";
+ $cvc5 --lang=tptp --no-type-checking --no-interactive --force-logic="UFNIRA" --dump-proofs --proof-format=tptp --force-no-limit-cpu-while-dump "$@" $bench
+}
+
+trywith 15 --finite-model-find --decision=internal
+trywith 15 --decision=internal --simplification=none --no-inst-no-entail --no-cbqi --full-saturate-quant
+trywith 15 --no-e-matching --full-saturate-quant
+trywith 15 --cegqi-all --purify-triggers --full-saturate-quant
+finishwith --macros-quant --macros-quant-mode=all --nl-ext-tplanes --full-saturate-quant
+# echo "% SZS status" "GaveUp for $filename"
--- /dev/null
+#!/bin/bash
+
+# script is used for THF division
+
+here=`dirname $0`
+cvc5=$here/cvc5
+bench="$1"
+
+file=${bench##*/}
+filename=${file%.*}
+
+echo "------- cvc5-thf casc j11 : $bench..."
+
+# use: trywith [params..]
+# to attempt a run. If an SZS ontology result is printed, then
+# the run script terminates immediately. Otherwise, this
+# function returns normally.
+function trywith {
+ limit=$1; shift;
+ echo "--- Run $@ at $limit...";
+ (ulimit -S -t "$limit";$cvc5 --lang=tptp --no-type-checking --no-interactive --dump-proofs --proof-format=tptp --force-no-limit-cpu-while-dump "$@" $bench) 2>/dev/null |
+ (read w1 w2 w3 result w4 w5;
+ case "$result" in
+ Unsatisfiable) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ Theorem) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+function finishwith {
+ echo "--- Run $@...";
+ $cvc5 --lang=tptp --no-type-checking --no-interactive --dump-proofs --proof-format=tptp --force-no-limit-cpu-while-dump "$@" $bench
+}
+
+# designed for 120 seconds
+trywith 10 --ho-elim --full-saturate-quant
+trywith 10 --ho-elim --no-e-matching --full-saturate-quant
+trywith 10 --ho-elim --no-e-matching --enum-inst-sum --full-saturate-quant
+trywith 5 --ho-elim --finite-model-find --uf-ss=no-minimal
+trywith 5 --no-ho-matching --finite-model-find --uf-ss=no-minimal
+trywith 10 --no-ho-matching --full-saturate-quant --enum-inst-interleave --ho-elim-store-ax
+trywith 10 --no-ho-matching --full-saturate-quant --macros-quant-mode=all
+trywith 10 --ho-elim --full-saturate-quant --enum-inst-interleave
+trywith 10 --no-ho-matching --full-saturate-quant --ho-elim-store-ax
+finishwith --ho-elim --no-ho-elim-store-ax --full-saturate-quant
+# echo "% SZS status" "GaveUp for $filename"